### Function

# GLib random_int_range

since: 2.0

#### Declaration

    gint32
    g_random_int_range (
      gint32 begin,
      gint32 end
    )

#### Description

Returns a random #gint32 equally distributed over the range [`begin`..`end`-1].

Available since: 2.0

#### Parameters

`begin`

  Type: `gint32`

  Lower closed bound of the interval.

`end`

  Type: `gint32`

  Upper open bound of the interval.

#### Return value

Type: `gint32`

A random number.